<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>Welcome to demo’s documentation! &#8212; deom 0.0.1 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=d1102ebc" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=12dfc556" />
    <script src="_static/documentation_options.js?v=d45e8c67"></script>
    <script src="_static/doctools.js?v=9a2dae69"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  

  
  

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="welcome-to-demo-s-documentation">
<h1>Welcome to demo’s documentation!<a class="headerlink" href="#welcome-to-demo-s-documentation" title="Link to this heading">¶</a></h1>
<div class="toctree-wrapper compound">
</div>
<section id="this-is-a-subtitle">
<h2>This is a subtitle<a class="headerlink" href="#this-is-a-subtitle" title="Link to this heading">¶</a></h2>
<p><a class="reference external" href="https://alxg.co.uk">My Webpage</a></p>
<p>This script demonstrates how to filter directories based on a specific file extension.
The os module is imported to interact with the operating system:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="kn">import</span> <span class="nn">os</span>
</pre></div>
</div>
<p>The ends_with function takes two arguments: dirs (a directory path) and search (a file extension).
It lists all directories in the given path and checks if each directory ends with the specified file extension.
If a match is found, the directory name is printed:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="k">def</span> <span class="nf">ends_with</span><span class="p">(</span><span class="n">dirs</span><span class="p">,</span> <span class="n">search</span><span class="p">):</span>
    <span class="k">for</span> <span class="nb">dir</span> <span class="ow">in</span> <span class="n">os</span><span class="o">.</span><span class="n">listdir</span><span class="p">(</span><span class="n">dirs</span><span class="p">):</span>
        <span class="k">if</span> <span class="nb">dir</span><span class="o">.</span><span class="n">endswith</span><span class="p">(</span><span class="n">search</span><span class="p">):</span>
            <span class="nb">print</span><span class="p">(</span><span class="nb">dir</span><span class="p">)</span>
</pre></div>
</div>
</section>
</section>
<section id="this-is-a-subtitle-2">
<h1>This is a subtitle 2<a class="headerlink" href="#this-is-a-subtitle-2" title="Link to this heading">¶</a></h1>
<p>The following code is executed when the script is run directly, not imported:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="k">if</span> <span class="vm">__name__</span> <span class="o">==</span> <span class="s2">&quot;__main__&quot;</span><span class="p">:</span>
    <span class="n">The</span> <span class="n">ends_with</span> <span class="n">function</span> <span class="ow">is</span> <span class="n">called</span> <span class="k">with</span> <span class="n">the</span> <span class="n">current</span> <span class="n">directory</span> <span class="p">(</span><span class="s2">&quot;.&quot;</span><span class="p">)</span> <span class="ow">and</span> <span class="n">the</span> <span class="s2">&quot;.py&quot;</span> <span class="n">file</span> <span class="n">extension</span><span class="o">.</span>
    <span class="n">ends_with</span><span class="p">(</span><span class="s2">&quot;.&quot;</span><span class="p">,</span> <span class="s2">&quot;.py&quot;</span><span class="p">)</span>
</pre></div>
</div>
</section>
<section id="indices-and-tables">
<h1>Indices and tables<a class="headerlink" href="#indices-and-tables" title="Link to this heading">¶</a></h1>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></p></li>
<li><p><a class="reference internal" href="py-modindex.html"><span class="std std-ref">Module Index</span></a></p></li>
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Search Page</span></a></p></li>
</ul>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="#">deom</a></h1>








<h3>Navigation</h3>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="#">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<search id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</search>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &#169;2024, Alex.
      
      |
      Powered by <a href="https://www.sphinx-doc.org/">Sphinx 7.3.7</a>
      &amp; <a href="https://alabaster.readthedocs.io">Alabaster 0.7.16</a>
      
      |
      <a href="_sources/index.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>